<?php
// Option de suppression du samedi et/ou du dimanche :
$verif = mysqli_query($bdd,"SELECT * FROM ".$prefix."_hordemis");
while($verif_info = mysqli_fetch_assoc($verif)) {
	if($verif_info['demijour']=='sa_am') {
		if($verif_info['statut']==0) { $sa_am = 0; }
		else { $sa_am = 1; }
	}
	if($verif_info['demijour']=='di_am') {
		if($verif_info['statut']==0) { $di_am = 0; }
		else { $di_am = 1; }
	}
	if($verif_info['demijour']=='sa_pm') {
		if($verif_info['statut']==0) { $sa_pm = 0; }
		else { $sa_pm = 1; }
	}
	if($verif_info['demijour']=='di_pm') {
		if($verif_info['statut']==0) { $di_pm = 0; }
		else { $di_pm = 1; }
	}
}
if($sa_am==0&&$sa_pm==0&&$di_am==0&&$di_pm==0) {
	$dayl = array('',1=>'Mon', 'Tue', 'Wed', 'Thu', 'Fri');
	$demijourGestion = array('',1=>'lu', 'ma', 'me', 'je', 've');
	$nbJour=5;
}
else if($di_am==0&&$di_pm==0) {
	$jourTexte[] = $saturd;
	$dayl = array('',1=>'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');
	$demijourGestion = array('',1=>'lu', 'ma', 'me', 'je', 've', 'sa');
	$nbJour=6;
}
else {
	$jourTexte[] = $saturd;
	$jourTexte[] = $sunday;
	$dayl = array('',1=>'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun');
	$demijourGestion = array('',1=>'lu', 'ma', 'me', 'je', 've', 'sa', 'di');
	$nbJour=7;
}

// Calcul des dates et récupération du get week :
			
$mois = date("m",strtotime("Monday this week")); // num du mois actuel
$nom_mois = date("F",strtotime("Monday this week")); // nom du mois actuel
$annee = date("Y",strtotime("Monday this week")); // année actuelle
$num_week = date("W"); // numéro de la semaine actuelle
$week = date("oW"); // numéro de la semaine actuelle dans son année
$journee = date("D"); // nom du jour actuel de la semaine (MON à SUN)

if(($journee=="Sat"&&$sa_am==0&&$sa_pm==0&&$di_am==0&&$di_pm==0)||($journee=="Sun"&&$di_am==0&&$di_pm==0)) {
	if(!isset($_GET['week'])&&!isset($_SESSION['week'])) {
		$jour = date("w"); // numéro du jour actuel
		$dateDebSemaine = date("Y-m-d", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
		$dateFinSemaine = date("Y-m-d", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
		$dateDebSemaineFr = date("d/m/Y", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
		$dateFinSemaineFr = date("d/m/Y", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
		$sem_test = date('d/m/Y', mktime(0,0,0,12,28,$annee));
		$sem_test_j = substr($sem_test,0,2);;
		$sem_test_m = substr($sem_test,3,2);;
		$sem_test_y = substr($sem_test,6,4);;
		$fin_j = substr($dateFinSemaineFr,0,2);
		$fin_m = substr($dateFinSemaineFr,3,2);
		$fin_y = substr($dateFinSemaineFr,6,4);
		if($fin_m==1||$fin_m==12) {
			if(($sem_test_y==$fin_y&&$fin_j>28&&$fin_m!=1)||($fin_y>$sem_test_y)) {
				$an_next=($annee+1);
				$_GET['week'] = date("oW", mktime(0,0,0,01,04,$an_next));
			}
			else {
				$_GET['week'] = $week+1;
			}
		}													
		else {
			$_GET['week'] = $week+1;
		}
	}
}

if (isset($_GET['week'])||isset($_SESSION['week']))
{
	if(!isset($_GET['week'])) {
		$_GET['week'] = $_SESSION['week'];
	}
	$annee = substr($_GET['week'],0,4);
	$num_week = substr($_GET['week'],4,2);
	$week = $_GET['week'];
	$timeStampPremierJanvier = strtotime($annee . '-01-01');
	$jourPremierJanvier = date('w', $timeStampPremierJanvier);
	//-- recherche du N° de semaine du 4 janvier -------------------
	$numSemainePremierJanvier = date('W', $timeStampPremierJanvier);
	//-- nombre à ajouter en fonction du numéro précédent ------------
	$decallage = ($numSemainePremierJanvier == 1) ? $num_week - 1 : $num_week;
	//-- timestamp du jour dans la semaine recherchée ----------------
	$timeStampDate = strtotime('+' . $decallage . ' weeks', $timeStampPremierJanvier);
	//-- recherche du lundi de la semaine en fonction des instructions précédentes ---------
	$jour = ($jourPremierJanvier == 1) ? date('d', $timeStampDate) : date('d', strtotime('last monday', $timeStampDate));
	$mois = ($jourPremierJanvier == 1) ? date('m', $timeStampDate) : date('m', strtotime('last monday', $timeStampDate));
	$nom_mois = ($jourPremierJanvier == 1) ? date('F', $timeStampDate) : date('F', strtotime('last monday', $timeStampDate));
	$dateDebSemaine = ($jourPremierJanvier == 1) ? date('Y-m-d', $timeStampDate) : date('Y-m-d', strtotime('last monday', $timeStampDate));
	$dateFinSemaine = ($jourPremierJanvier == 0) ? date('Y-m-d', $timeStampDate) : date('Y-m-d',strtotime('next sunday', $timeStampDate));
	$dateDebSemaineFr = ($jourPremierJanvier == 1) ? date('d/m/Y', $timeStampDate) : date('d/m/Y', strtotime('last monday', $timeStampDate));
	$dateFinSemaineFr = ($jourPremierJanvier == 0) ? date('d/m/Y', $timeStampDate) : date('d/m/Y',strtotime('next sunday', $timeStampDate));
	$num_week = ($jourPremierJanvier == 1) ? date('W', $timeStampDate) : date('W',strtotime('last monday', $timeStampDate));
	$week = ($jourPremierJanvier == 1) ? date('oW', $timeStampDate) : date('oW',strtotime('last monday', $timeStampDate));
	//pour l'impression :
	$dateDebSemaine_j = ($jourPremierJanvier == 1) ? date('j', $timeStampDate) : date('j', strtotime('last monday', $timeStampDate));
	$dateDebSemaine_m = ($jourPremierJanvier == 1) ? date('F', $timeStampDate) : date('F', strtotime('last monday', $timeStampDate));
	$dateFinSemaine_j = ($jourPremierJanvier == 0) ? date('j', $timeStampDate) : date('j',strtotime('next sunday', $timeStampDate));
	$dateFinSemaine_m = ($jourPremierJanvier == 0) ? date('F', $timeStampDate) : date('F',strtotime('next sunday', $timeStampDate));
	$_SESSION['week'] = $_GET['week'];
	
}
else {
	$jour = date("w"); // numéro du jour actuel
	
	$dateDebSemaine = date("Y-m-d", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
	$dateFinSemaine = date("Y-m-d", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
		 
	$dateDebSemaineFr = date("d/m/Y", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
	$dateFinSemaineFr = date("d/m/Y", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
	//pour l'impression :
	$dateDebSemaine_j = date("j", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
	$dateDebSemaine_m = date("F", mktime(0,0,0,date("n"),date("d")-$jour+1,date("y")));
	$dateFinSemaine_j = date("j", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
	$dateFinSemaine_m = date("F", mktime(0,0,0,date("n"),date("d")-$jour+7,date("y")));
	//redéf. de $jour
	$jour = date('d',strtotime("Monday this week"));
}
?>